summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mikko Värri <vmj@linuxbox.fi>2011-11-15 17:14:54 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-11-26 09:08:08 -0600
commitab6a745a796413be0418923b8d5d70d8be64eb60 (patch)
tree2fca08fbd7f2fc08915bd385ea691c21d52ca3da
parente5592ac59262a13473ab9991762eb66a05189ad5 (diff)
downloadslackbuilds-ab6a745a796413be0418923b8d5d70d8be64eb60.tar.gz
slackbuilds-ab6a745a796413be0418923b8d5d70d8be64eb60.tar.xz
perl/perl-Sort-Naturally: Added (sort lexically, but numeral parts numerically)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--perl/perl-Sort-Naturally/README4
-rw-r--r--perl/perl-Sort-Naturally/perl-Sort-Naturally.SlackBuild80
-rw-r--r--perl/perl-Sort-Naturally/perl-Sort-Naturally.info10
-rw-r--r--perl/perl-Sort-Naturally/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/perl/perl-Sort-Naturally/README b/perl/perl-Sort-Naturally/README
new file mode 100644
index 0000000000..8064e2ce11
--- /dev/null
+++ b/perl/perl-Sort-Naturally/README
@@ -0,0 +1,4 @@
+This Perl module exports two functions, nsort and ncmp; they are
+used in implementing one idea of a "natural sorting" algorithm.
+Under natural sorting, numeric substrings are compared numerically,
+and other word-characters are compared lexically.
diff --git a/perl/perl-Sort-Naturally/perl-Sort-Naturally.SlackBuild b/perl/perl-Sort-Naturally/perl-Sort-Naturally.SlackBuild
new file mode 100644
index 0000000000..e5c1219248
--- /dev/null
+++ b/perl/perl-Sort-Naturally/perl-Sort-Naturally.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for Sort-Naturally
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=perl-Sort-Naturally
+VERSION=${VERSION:-1.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Sort-Naturally/perl-Sort-Naturally.info b/perl/perl-Sort-Naturally/perl-Sort-Naturally.info
new file mode 100644
index 0000000000..ec5ded598c
--- /dev/null
+++ b/perl/perl-Sort-Naturally/perl-Sort-Naturally.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Sort-Naturally"
+VERSION="1.02"
+HOMEPAGE="http://search.cpan.org/~sburke/Sort-Naturally/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/S/SB/SBURKE/Sort-Naturally-1.02.tar.gz"
+MD5SUM="a173f3f8f519ebae6e5e578e843f6e1c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="Erik Hanson"
diff --git a/perl/perl-Sort-Naturally/slack-desc b/perl/perl-Sort-Naturally/slack-desc
new file mode 100644
index 0000000000..1d71727555
--- /dev/null
+++ b/perl/perl-Sort-Naturally/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Sort-Naturally: perl-Sort-Naturally (sort lexically, but numeral parts numerically)
+perl-Sort-Naturally:
+perl-Sort-Naturally: This Perl module exports two functions, nsort and ncmp; they are
+perl-Sort-Naturally: used in implementing one idea of a "natural sorting" algorithm.
+perl-Sort-Naturally: Under natural sorting, numeric substrings are compared numerically,
+perl-Sort-Naturally: and other word-characters are compared lexically.
+perl-Sort-Naturally:
+perl-Sort-Naturally:
+perl-Sort-Naturally:
+perl-Sort-Naturally:
+perl-Sort-Naturally: